---
title: URL.href
slug: Web/API/URL/href
tags:
  - API
  - Property
  - Reference
  - URL
  - URL API
---
<div>{{ApiRef("URL API")}}</div>

<p>The <strong><code>href</code></strong> property of the {{domxref("URL")}} interface is a {{domxref("USVString")}} containing the whole URL.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const<em> urlString</em> = <em>url</em>.href
<em>url</em>.href = <em>newUrlString</em>
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">const url = new URL('https://developer.mozilla.org/en-US/docs/Web/API/URL/href');
console.log(url.href); // Logs: 'https://developer.mozilla.org/en-US/docs/Web/API/URL/href'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('URL', '#dom-url-href', 'URL.href')}}</td>
   <td>{{Spec2('URL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.URL.href")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("URL")}} interface it belongs to.</li>
</ul>
